Bug: Upgrade eventlet to fix mail issue.

Fix https://lists.lavasoftware.org/pipermail/lava-users/2021-September/002891.html

From [this](lava/lava@cc112341), the base image upgraded from `buster` to `bullseye`. Then `eventlet` in debian repo upgrade from `0.20.0` to `0.26.1`:

```
$ docker run --rm -it --entrypoint=python3 lavasoftware/lava-server:2021.03 -c "import eventlet; print(eventlet.__version__)"
0.20.0
$ docker run --rm -it --entrypoint=python3 lavasoftware/lava-server:2021.08 -c "import eventlet; print(eventlet.__version__)"
0.26.1
```

Unfortunately,
See https://github.com/eventlet/eventlet/issues/619,
also https://github.com/benoitc/gunicorn/pull/2581

The highest version for eventlet suitable for current lava environment is 0.30.2

Signed-off-by: Larry Shen <larry.shen@nxp.com>
18 jobs for mail_fix in 16 minutes and 13 seconds (queued for 6 seconds)
latest
Status Job ID Name Coverage
  Test
passed #137703
amd64
dispatcher-debian-10

00:02:33

passed #137705
amd64
dispatcher-debian-11

00:02:32

passed #137704
amd64
server-debian-10

00:02:55

passed #137706
amd64
server-debian-11

00:05:00

 
  Analyze
passed #137707
amd64-dind
bandit-sast

00:00:56

passed #137710
amd64
black

00:00:46

passed #137711
amd64
code_quality

00:00:23

passed #137716
amd64
codespell

00:00:21

passed #137712
amd64
coverage

00:06:59

61.11%
passed #137713
amd64
dockerfiles

00:00:16

passed #137708
amd64-dind
eslint-sast

00:00:26

passed #137715
amd64
pylint

00:02:35

passed #137714
amd64
schemas

00:00:35

passed #137709
amd64-dind
semgrep-sast

00:01:11

 
  Build
passed #137718
amd64
debian/10

00:01:23

passed #137717
amd64
doc

00:00:36

passed #137719
amd64-dind
docker-amd64-dispatcher

00:03:37

passed #137720
amd64-dind
docker-amd64-server

00:04:10